HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostPayoutsPayoutReverse

Contains the different functions to run the operation postPayoutsPayoutReverse

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostPayoutsPayoutReverse.hs
valuepostPayoutsPayoutReverse
  1. :: MonadHTTP m
  2. => Text

    payout | Constraints: Maximum length of 5000

  3. -> Maybe PostPayoutsPayoutReverseRequestBody

    The request body to send

  4. -> ClientT m (Response PostPayoutsPayoutReverseResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/payouts/{payout}/reverse

<p>Reverses a payout by debiting the destination bank account. Only payouts for connected accounts to US bank accounts may be reversed at this time. If the payout is in the <code>pending</code> status, <code>/v1/payouts/:id/cancel</code> should be used instead.</p>

<p>By requesting a reversal via <code>/v1/payouts/:id/reverse</code>, you confirm that the authorized signatory of the selected bank account has authorized the debit on the bank account and that no other authorization is required.</p>

Defines the object schema located at paths./v1/payouts/{payout}/reverse.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postPayoutsPayoutReverse.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostPayoutsPayoutReverseResponseError is used.

Constructors

Instances2Eq, Show